<template>
  <div class="dialogBox">
    <div class="title">{{ title }}</div>
    <div class="content">
      <div class="leftTxt" v-html="info.eventOverview"></div>
      <div class="rightimg">
        <div v-if="imgLink != ''" class="imgBox">
          <img class="autoImg" :src="imgLink" alt="" />
        </div>
        <div style="text-align: center; font-size: 18px; color: #999" v-else>暂无图片</div>
      </div>
    </div>
  </div>
</template>

<script>
import { getPublicImage } from "@/assets/js/middleGround/tool";

export default {
  name: "floatingWindow",
  props: {
    info: {
      type: Object,
      default: () => {},
    },
  },
  data() {
    return {
      title: "",
      imgLink: "",
    };
  },
  methods: {},
  mounted() {
    console.log(this.info);
    this.title =
      this.info.name.split("，")[0] + " " + this.info.name.split("，")[1];
    this.imgLink = getPublicImage(this.info.eventPictures);
    console.log(this.imgLink);
  },
};
</script>

<style scoped>
.dialogBox {
  width: 700px;
  min-height: 300px;
  position: relative;
  padding: 15px;
  z-index: 20;
  box-sizing: border-box;
  background-color: #FDF8F0;
}
.content {
  display: flex;
  justify-content: space-between;
}
.leftTxt {
  width: 350px;
  max-height: 260px;
  overflow: hidden;
  white-space: normal;
  overflow-y: auto;
  
}
.rightimg {
  width: 350px;
  height: 100%;
}
.title {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 10px;
}
.imgBox {
  width: 340px;
  min-height: 300px;
  position: relative;
}
</style>
